package de.ozgcloud.archive.bescheid;

import java.util.List;

import org.mapstruct.AnnotateWith;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;
import org.mapstruct.NullValueCheckStrategy;
import org.mapstruct.ReportingPolicy;
import org.springframework.stereotype.Component;

import com.google.protobuf.ProtocolStringList;

import de.ozgcloud.archive.ArchiveManagerConfiguration;
import de.ozgcloud.archive.common.binaryfile.FileIdMapper;
import de.ozgcloud.common.binaryfile.FileId;
import de.ozgcloud.document.bescheid.GrpcBescheid;

@Mapper(unmappedTargetPolicy = ReportingPolicy.ERROR, nullValueCheckStrategy = NullValueCheckStrategy.ALWAYS, uses = { FileIdMapper.class })
@AnnotateWith(value = Component.class, elements = @AnnotateWith.Element(strings = ArchiveManagerConfiguration.BESCHEID_MAPPER_NAME))
interface BescheidMapper {

	@Mapping(target = "attachments", source = "grpcBescheid.attachmentsList")
	Bescheid fromGrpc(GrpcBescheid grpcBescheid, String vorgangId);

	List<FileId> fromProtocolStringList(ProtocolStringList value);
}
