package de.ozgcloud.archive.common.binaryfile;

import org.mapstruct.AnnotateWith;
import org.mapstruct.AnnotateWith.Element;
import org.mapstruct.Mapper;
import org.springframework.stereotype.Component;

import de.ozgcloud.apilib.file.OzgCloudFileId;
import de.ozgcloud.archive.ArchiveManagerConfiguration;
import de.ozgcloud.common.binaryfile.FileId;

@Mapper
@AnnotateWith(value = Component.class, elements = @Element(strings = ArchiveManagerConfiguration.FILE_ID_MAPPER_NAME))
public interface FileIdMapper {

	default FileId fromString(String fileId) {
		return FileId.from(fileId);
	}

	default String toString(FileId fileId) {
		return fileId.toString();
	}

	default FileId fromOzgCloudFileId(OzgCloudFileId ozgCloudFileId) {
		return FileId.from(ozgCloudFileId.toString());
	}

	default OzgCloudFileId toOzgCloudFileId(FileId fileId) {
		return OzgCloudFileId.from(fileId.toString());
	}
}
