package de.ozgcloud.archive.common.callcontext;

import java.io.Serial;
import java.io.Serializable;
import java.util.Collection;
import java.util.Optional;

import org.springframework.security.core.AuthenticatedPrincipal;

import lombok.Builder;
import lombok.Getter;
import lombok.Singular;

@Builder
@Getter
public class CallContextUser implements AuthenticatedPrincipal, Serializable {

	public static final String ARCHIVE_MANAGER_CLIENT_NAME = "OzgCloud_ArchiveManager";

	@Serial
	private static final long serialVersionUID = 1L;

	private String requestId;

	private String clientName;

	@Builder.Default
	private Optional<String> userId = Optional.empty();
	@Builder.Default
	private Optional<String> userName = Optional.empty();
	@Builder.Default
	private boolean accessLimited = false;

	@Singular
	private Collection<String> accessLimitedToOrgaIds;

	@Override
	public String getName() {
		return clientName;
	}
}
