package de.ozgcloud.archive.common.user;

import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Service;

import de.ozgcloud.apilib.user.OzgCloudUserId;
import de.ozgcloud.apilib.user.OzgCloudUserProfileService;
import de.ozgcloud.archive.ArchiveManagerConfiguration;
import lombok.RequiredArgsConstructor;

@Service(ArchiveManagerConfiguration.USER_SERVICE_NAME) // NOSONAR
@RequiredArgsConstructor
public class UserService {

	@Qualifier(ArchiveManagerConfiguration.OZGCLOUD_USER_PROFILE_SERVICE_NAME) // NOSONAR
	private final OzgCloudUserProfileService grpcOzgCloudUserProfileService;

	@Qualifier(ArchiveManagerConfiguration.USER_PROFILE_MAPPER_NAME) // NOSONAR
	private final UserProfileMapper mapper;

	public UserProfile getById(String sentBy) {
		return mapper.fromOzgUserProfile(grpcOzgCloudUserProfileService.getById(OzgCloudUserId.from(sentBy)));
	}

}
