package de.ozgcloud.archive.vorgang;

import java.time.ZonedDateTime;
import java.util.Optional;

import jakarta.annotation.Nullable;

import lombok.Builder;
import lombok.Getter;

@Builder
@Getter
public class VorgangWithEingang {

	private String id;
	private String name;
	private String nummer;
	private String aktenzeichen;
	private Eingang eingang;
	private ZonedDateTime createdAt;

	@Nullable
	public String getOrganisationseinheitenID() {
		return Optional.ofNullable(getEingang())
				.map(Eingang::getZustaendigeStelle)
				.map(ZustaendigeStelle::getOrganisationseinheitenId)
				.orElse(null);
	}
}
