package de.ozgcloud.archive.bescheid;

import de.ozgcloud.archive.export.DokumentTypeTestFactory;
import de.ozgcloud.archive.file.OzgFile;
import de.ozgcloud.archive.file.OzgFileTestFactory;
import de.xoev.xdomea.DokumentType;

public class BescheidExportDataTestFactory {

	public static final DokumentType DOKUMENT_TYPE = DokumentTypeTestFactory.create();
	public static final OzgFile ATTACHMENT = OzgFileTestFactory.createWithUniqueId();
	public static final OzgFile DOCUMENT = OzgFileTestFactory.createWithUniqueId();

	public static BescheidExportData create() {
		return createBuilder().build();
	}

	public static BescheidExportData.BescheidExportDataBuilder createBuilder() {
		return BescheidExportData.builder()
				.dokumentType(DOKUMENT_TYPE)
				.file(DOCUMENT)
				.file(ATTACHMENT);
	}
}
