package de.ozgcloud.archive.bescheid;

import java.util.List;

import de.ozgcloud.archive.file.OzgFile;
import de.ozgcloud.archive.file.OzgFileTestFactory;
import de.ozgcloud.archive.vorgang.ZustaendigeStelleTestFactory;

public class BescheidExportInputTestFactory {

	public static final Bescheid BESCHEID = BescheidTestFactory.create();
	public static final String ORGANISATIONSEINHEITEN_ID = ZustaendigeStelleTestFactory.ORGANISATIONSEINHEITEN_ID;
	public static final List<OzgFile> FILES = List.of(OzgFileTestFactory.createWithUniqueId());

	public static BescheidExportInput create() {
		return createBuilder().build();
	}

	public static BescheidExportInput.BescheidExportInputBuilder createBuilder() {
		return BescheidExportInput.builder()
				.bescheid(BESCHEID)
				.organisationseinheitenId(ORGANISATIONSEINHEITEN_ID)
				.files(FILES);
	}

}
