package de.ozgcloud.archive.common.callcontext;

import java.util.List;

import de.ozgcloud.apilib.common.callcontext.CallContext;
import de.ozgcloud.apilib.common.callcontext.CallContext.CallContextBuilder;
import de.ozgcloud.apilib.user.OzgCloudUserId;

public class CallContextTestFactory {

	public static final String REQUEST_ID = CallContextUserTestFactory.REQUEST_ID;
	public static final OzgCloudUserId USER_ID = OzgCloudUserId.from(CallContextUserTestFactory.USER_ID);
	public static final String CLIENT_NAME = CallContextUserTestFactory.CLIENT_NAME;
	public static final String ORGANISATIONS_EINHEITEN_ID = CallContextUserTestFactory.ORGANISATIONS_EINHEITEN_ID;
	public static final boolean ACCESS_LIMITED = CallContextUserTestFactory.ACCESS_LIMITED;

	public static CallContext create() {
		return createBuilder()
				.build();
	}

	public static CallContextBuilder createBuilder() {
		return CallContext.builder()
				.requestId(REQUEST_ID)
				.clientName(CLIENT_NAME)
				.userId(USER_ID)
				.accessLimited(ACCESS_LIMITED)
				.accessLimitedToOrgaIds(List.of(ORGANISATIONS_EINHEITEN_ID));
	}
}
