package de.ozgcloud.archive.common.callcontext;

import java.util.List;
import java.util.Optional;
import java.util.UUID;

import com.thedeanda.lorem.LoremIpsum;

import de.ozgcloud.archive.common.callcontext.CallContextUser.CallContextUserBuilder;

public class CallContextUserTestFactory {

	public static final String REQUEST_ID = UUID.randomUUID().toString();
	public static final String USER_ID = UUID.randomUUID().toString();
	public static final String USER_NAME = LoremIpsum.getInstance().getName();
	public static final String CLIENT_NAME = LoremIpsum.getInstance().getName();
	public static final String ORGANISATIONS_EINHEITEN_ID = UUID.randomUUID().toString();
	public static final Boolean ACCESS_LIMITED = true;

	public static CallContextUser create() {
		return createBuilder()
				.build();
	}

	public static CallContextUserBuilder createBuilder() {
		return CallContextUser.builder()
				.requestId(REQUEST_ID)
				.clientName(CLIENT_NAME)
				.userId(Optional.of(USER_ID))
				.userName(Optional.of(USER_NAME))
				.accessLimited(ACCESS_LIMITED)
				.accessLimitedToOrgaIds(List.of(ORGANISATIONS_EINHEITEN_ID));
	}

}
