package de.ozgcloud.archive.common.command;

import java.time.ZonedDateTime;
import java.util.Map;

import com.thedeanda.lorem.LoremIpsum;

import de.ozgcloud.archive.common.command.ArchiveManagerCommand.ArchiveManagerCommandBuilder;
import de.ozgcloud.archive.common.user.UserProfileTestFactory;

public class CommandTestFactory {

	public static final ZonedDateTime FINISHED_AT = ZonedDateTime.now();
	public static final String CREATED_BY_NAME = UserProfileTestFactory.FULLNAME;
	public static final String ORDER = LoremIpsum.getInstance().getWords(1);

	public static final String PROPERTY_1 = LoremIpsum.getInstance().getWords(1);
	public static final String PROPERTY_2 = LoremIpsum.getInstance().getWords(1);
	public static final String VALUE_1 = LoremIpsum.getInstance().getWords(1);
	public static final String VALUE_2 = LoremIpsum.getInstance().getWords(1);
	public static final Map<String, Object> BODY = Map.of(PROPERTY_1, VALUE_1, PROPERTY_2, VALUE_2);

	public static ArchiveManagerCommand create() {
		return createBuilder()
				.build();
	}

	public static ArchiveManagerCommandBuilder createBuilder() {
		return ArchiveManagerCommand.builder().body(BODY)
				.finishedAt(FINISHED_AT)
				.createdByName(CREATED_BY_NAME)
				.order(ORDER);
	}
}
