package de.ozgcloud.archive.common.user;

import static org.assertj.core.api.Assertions.*;

import org.junit.jupiter.api.Nested;
import org.junit.jupiter.api.Test;
import org.mapstruct.factory.Mappers;

import de.ozgcloud.apilib.user.OzgCloudUserProfileTestFactory;

class UserProfileMapperTest {

	private final UserProfileMapper mapper = Mappers.getMapper(UserProfileMapper.class);

	@Nested
	class TestFromOzgUserProfile {

		@Test
		void shouldMap() {
			var mappedUserProfile = mapper.fromOzgUserProfile(OzgCloudUserProfileTestFactory.createBuilder()
					.firstName(UserProfileTestFactory.FIRSTNAME)
					.lastName(UserProfileTestFactory.LASTNAME)
					.build());

			assertThat(mappedUserProfile).usingRecursiveComparison().isEqualTo(UserProfileTestFactory.create());
		}
	}
}
