package de.ozgcloud.archive.file;

import com.thedeanda.lorem.LoremIpsum;

import de.ozgcloud.archive.common.XDomeaTestUtils;
import de.ozgcloud.common.binaryfile.FileId;

public class OzgFileTestFactory {

	public static final FileId ID = FileId.from(XDomeaTestUtils.createMongoDbObjectId());
	public static final String NAME = LoremIpsum.getInstance().getName();
	public static final String CONTENT_TYPE = LoremIpsum.getInstance().getWords(1);

	public static OzgFile create() {
		return createBuilder().build();
	}

	public static OzgFile createWithUniqueId() {
		return createBuilder()
				.id(FileId.from(XDomeaTestUtils.createMongoDbObjectId()))
				.build();
	}

	public static OzgFile.OzgFileBuilder createBuilder() {
		return OzgFile.builder()
				.id(ID)
				.name(NAME)
				.contentType(CONTENT_TYPE);
	}

}