package de.ozgcloud.archive.historie;

import java.util.List;

public class VorgangChangeHistoryTestFactory {

	public static final List<VorgangChange> STATUS_CHANGE_HISTORY = List.of(VorgangChangeTestFactory.createBuilder()
			.order("VORGANG_ANNEHMEN").build());
	public static final List<VorgangChange> AKTENZEICHEN_CHANGE_HISTORY = List.of(VorgangChangeTestFactory.createBuilder()
			.order("SET_AKTENZEICHEN").build());
	public static final List<VorgangChange> ASSIGNED_USER_CHANGE_HISTORY = List.of(VorgangChangeTestFactory.createBuilder()
			.order("ASSIGN_USER").build());

	public static VorgangChangeHistory create() {
		return VorgangChangeHistory.builder()
				.statusChangeHistory(STATUS_CHANGE_HISTORY)
				.aktenzeichenChangeHistory(AKTENZEICHEN_CHANGE_HISTORY)
				.assignedUserChangeHistory(ASSIGNED_USER_CHANGE_HISTORY)
				.build();
	}
}
