package de.ozgcloud.archive.kommentar;

import static org.assertj.core.api.Assertions.*;

import org.junit.jupiter.api.Test;
import org.mapstruct.factory.Mappers;

import com.google.common.collect.Lists;

import de.ozgcloud.common.binaryfile.FileId;

class AttachmentMapperTest {

	private final AttachmentMapper mapper = Mappers.getMapper(AttachmentMapper.class);

	@Test
	void shouldMapAttachmentsToEmptyList() {
		var attachments = mapper.mapAttachments(null);

		assertThat(attachments).isEmpty();
	}

	@Test
	void shouldMapAttachmentsToList() {
		var attachments = mapper.mapAttachments(Lists.newArrayList("a1", "a2"));

		assertThat(attachments).containsExactly(FileId.from("a1"), FileId.from("a2"));
	}

	@Test
	void shouldMapOneElementToList() {
		var attachments = mapper.mapAttachments("a1");

		assertThat(attachments).containsExactly(FileId.from("a1"));
	}
}
