package de.ozgcloud.archive.kommentar;

import de.ozgcloud.archive.export.DokumentTypeTestFactory;
import de.ozgcloud.archive.file.OzgFile;
import de.ozgcloud.archive.file.OzgFileTestFactory;
import de.ozgcloud.archive.kommentar.KommentarsExportData.KommentarsExportDataBuilder;
import de.xoev.xdomea.DokumentType;

public class KommentarsExportDataTestFactory {

	public static final DokumentType DOKUMENT_TYPE = DokumentTypeTestFactory.create();
	public static final OzgFile OZG_FILE = OzgFileTestFactory.createWithUniqueId();

	public static KommentarsExportData create() {
		return createBuilder().build();
	}

	public static KommentarsExportDataBuilder createBuilder() {
		return KommentarsExportData.builder()
				.dokumentType(DOKUMENT_TYPE)
				.attachment(OZG_FILE);
	}
}
