package de.ozgcloud.archive.postfach;

import java.time.ZonedDateTime;
import java.util.List;
import java.util.UUID;

import com.thedeanda.lorem.LoremIpsum;

import de.ozgcloud.archive.postfach.PostfachMail.Direction;
import de.ozgcloud.common.binaryfile.FileId;

public class PostfachMailTestFactory {

	public static final String ID = UUID.randomUUID().toString();
	public static final String CREATED_AT_STR = "2000-01-01T01:00:00Z";
	public static final ZonedDateTime CREATED_AT = ZonedDateTime.parse(CREATED_AT_STR);
	public static final String CREATED_BY = UUID.randomUUID().toString();
	public static final Direction DIRECTION = Direction.OUT;
	public static final String MAIL_BODY = LoremIpsum.getInstance().getParagraphs(1, 1);
	public static final String SENT_AT_STR = "2000-01-01T10:00:00Z";
	public static final ZonedDateTime SENT_AT = ZonedDateTime.parse(SENT_AT_STR);

	public static final FileId ATTACHMENT = FileId.from(UUID.randomUUID().toString());
	public static final List<FileId> ATTACHMENTS = List.of(ATTACHMENT);

	public static PostfachMail create() {
		return createBuilder().build();
	}

	public static PostfachMail.PostfachMailBuilder createBuilder() {
		return PostfachMail.builder()
				.id(ID)
				.createdAt(CREATED_AT)
				.createdBy(CREATED_BY)
				.sentAt(SENT_AT)
				.direction(DIRECTION)
				.mailBody(MAIL_BODY)
				.attachments(ATTACHMENTS);
	}
}
