package de.ozgcloud.archive.vorgang;

import static org.assertj.core.api.Assertions.*;

import org.junit.jupiter.api.Nested;
import org.junit.jupiter.api.Test;

import de.xoev.xdomea.FeldType;

class ExportFelderTest {

	@Nested
	class TestCreateFeld {

		private static final FeldType FELD = ExportFelder.LEIKA_ID.createFeld();

		@Test
		void shouldHaveName() {
			assertThat(FELD.getName()).isEqualTo(ExportFelder.LEIKA_ID.getName());
		}

		@Test
		void shouldHaveBeschreibung() {
			assertThat(FELD.getBeschreibung()).isEqualTo(ExportFelder.LEIKA_ID.getBeschreibung());
		}

		@Test
		void shouldHaveDatentyp() {
			assertThat(FELD.getDatentyp().getCode()).isEqualTo(ExportFelder.LEIKA_ID.getDatentypCode());
		}

		@Test
		void shouldNotHaveWert() {
			assertThat(FELD.getWert()).isNull();
		}

		@Nested
		class MitWert {

			private static final String FELD_WERT = "123";

			@Test
			void shouldHaveWert() {
				var feld = ExportFelder.LEIKA_ID.createFeld(FELD_WERT);

				assertThat(feld.getWert()).isEqualTo(FELD_WERT);
			}
		}
	}

}