/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.archive.vorgang;

import com.thedeanda.lorem.LoremIpsum;

import de.ozgcloud.vorgang.vorgang.GrpcEingang;
import de.ozgcloud.vorgang.vorgang.GrpcVorgangWithEingang;

class GrpcVorgangWithEingangTestFactory {

	private static final GrpcEingang EINGANG = GrpcEingangTestFactory.create();
	private static final String STATUS = LoremIpsum.getInstance().getWords(1);
	private static final String NUMMER = VorgangWithEingangTestFactory.NUMMER;
	private static final String NAME = VorgangWithEingangTestFactory.NAME;
	private static final String AKTENZEICHEN = VorgangWithEingangTestFactory.AKTENZEICHEN;
	private static final String ASSIGNED_TO = LoremIpsum.getInstance().getName();
	private static final String CREATED_AT_STR = VorgangWithEingangTestFactory.CREATED_AT.toString();
	private static final String ID = VorgangWithEingangTestFactory.ID;

	static GrpcVorgangWithEingang create() {
		return createBuilder().build();
	}

	static GrpcVorgangWithEingang createWithEingang(GrpcEingang eingang) {
		return createBuilder().setEingang(eingang).build();
	}

	static GrpcVorgangWithEingang.Builder createBuilder() {
		return GrpcVorgangWithEingang.newBuilder()
				.setId(ID)
				.setStatus(STATUS)
				.setNummer(NUMMER)
				.setName(NAME)
				.setAktenzeichen(AKTENZEICHEN)
				.setAssignedTo(ASSIGNED_TO)
				.setCreatedAt(CREATED_AT_STR)
				.clearClientAttributes()
				.addClientAttributes(GrpcClientAttributeTestFactory.create())
				.setEingang(EINGANG);
	}
}