package de.ozgcloud.archive.vorgang;

import static org.assertj.core.api.Assertions.*;
import static org.mockito.Mockito.*;

import org.junit.jupiter.api.Nested;
import org.junit.jupiter.api.Test;
import org.mapstruct.factory.Mappers;
import org.mockito.InjectMocks;
import org.mockito.Mock;

import de.ozgcloud.vorgang.common.grpc.GrpcFormDataMapper;
import de.ozgcloud.vorgang.vorgang.GrpcVorgangWithEingang;

class VorgangWithEingangMapperTest {

	@InjectMocks
	private final VorgangWithEingangMapper mapper = Mappers.getMapper(VorgangWithEingangMapper.class);

	@Mock
	private GrpcFormDataMapper grpcFormDataMapper;

	@Nested
	class TestFromGrpc {

		private final GrpcVorgangWithEingang grpcVorgangWithEingang = GrpcVorgangWithEingangTestFactory.create();

		@Test
		void shouldMapToVorgangWithEingang() {
			mockGrpcFormDataMapper();

			var vorgangWithEingang = mapper.fromGrpc(grpcVorgangWithEingang);

			assertThat(vorgangWithEingang).usingRecursiveComparison().isEqualTo(VorgangWithEingangTestFactory.create());
		}

		private void mockGrpcFormDataMapper() {
			when(grpcFormDataMapper.mapFromFormData(GrpcAntragstellerTestFactory.OTHER_DATA)).thenReturn(AntragstellerTestFactory.OTHER_DATA);
			when(grpcFormDataMapper.mapFromFormData(GrpcEingangTestFactory.FORM_DATA)).thenReturn(EingangTestFactory.AS_MAP);
		}
	}
}
